#! /usr/bin/env ruby

# daylight.rb: Written by Tadayoshi Funaba 1998-2002
# $Id: daylight.rb,v 2.2 2002-03-19 22:16:09+09 tadf Exp $

require 'date2'
require 'date2/holiday'

year = Date.today.year
[[ 4,  1, 0, 'US Daylight Saving Time begins'], # first Sunday in April
 [10, -1, 0, 'US Daylight Saving Time ends']].  # last Sunday in October
each do |mon, n, k, event|
  puts (Date.nth_kday(n, k, year, mon).to_s + '  ' + event)
end
